{
  "components": {
    "schemas": {
      "ActingAsEnum": {
        "description": "* `consumer` - consumer\n* `business` - business",
        "enum": [
          "consumer",
          "business"
        ],
        "type": "string"
      },
      "AdditionalChargeEventWriteRequest": {
        "description": "A contextual event supplied when creating a debtor, claim, or additional charge.",
        "properties": {
          "description": {
            "description": "Optional description of the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          },
          "location": {
            "description": "Optional location associated with the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          },
          "occurence": {
            "description": "Time at which the event occurred; the historical field spelling is intentional.",
            "format": "date-time",
            "type": "string"
          },
          "title": {
            "description": "Human-readable title of the event.",
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/AdditionalChargeEventWriteTypeEnum"
              }
            ],
            "description": "Additional-charge event type.\n\n* `invoice` - invoice\n* `transaction` - transaction"
          },
          "your_reference": {
            "description": "Your optional reference for the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "occurence",
          "title",
          "type"
        ],
        "type": "object"
      },
      "AdditionalChargeEventWriteTypeEnum": {
        "description": "* `invoice` - invoice\n* `transaction` - transaction",
        "enum": [
          "invoice",
          "transaction"
        ],
        "type": "string"
      },
      "AddressRead": {
        "properties": {
          "city": {
            "description": "City or locality of the address.",
            "readOnly": true,
            "type": "string"
          },
          "country": {
            "description": "Country as a two-letter ISO 3166-1 code.",
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "description": "Stable identifier of this address.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          },
          "postal_code": {
            "description": "Postal code of the address.",
            "readOnly": true,
            "type": "string"
          },
          "primary": {
            "description": "Whether this is the debtor's primary postal address.",
            "readOnly": true,
            "type": "boolean"
          },
          "street": {
            "description": "Street and house number.",
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "city",
          "country",
          "id",
          "postal_code",
          "primary",
          "street"
        ],
        "type": "object"
      },
      "AddressWriteRequest": {
        "description": "Unknown and read-only request fields are rejected with a validation error instead of being silently ignored.",
        "properties": {
          "city": {
            "description": "City or locality of the address.",
            "maxLength": 100,
            "minLength": 1,
            "type": "string"
          },
          "country": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CountryEnum"
              }
            ],
            "description": "Country as a two-letter ISO 3166-1 alpha-2 code.\n\n* `AF` - Afghanistan\n* `AX` - Åland Islands\n* `AL` - Albania\n* `DZ` - Algeria\n* `AS` - American Samoa\n* `AD` - Andorra\n* `AO` - Angola\n* `AI` - Anguilla\n* `AQ` - Antarctica\n* `AG` - Antigua and Barbuda\n* `AR` - Argentina\n* `AM` - Armenia\n* `AW` - Aruba\n* `AU` - Australia\n* `AT` - Austria\n* `AZ` - Azerbaijan\n* `BS` - Bahamas\n* `BH` - Bahrain\n* `BD` - Bangladesh\n* `BB` - Barbados\n* `BY` - Belarus\n* `BE` - Belgium\n* `BZ` - Belize\n* `BJ` - Benin\n* `BM` - Bermuda\n* `BT` - Bhutan\n* `BO` - Bolivia\n* `BQ` - Bonaire, Sint Eustatius and Saba\n* `BA` - Bosnia and Herzegovina\n* `BW` - Botswana\n* `BV` - Bouvet Island\n* `BR` - Brazil\n* `IO` - British Indian Ocean Territory\n* `BN` - Brunei\n* `BG` - Bulgaria\n* `BF` - Burkina Faso\n* `BI` - Burundi\n* `CV` - Cabo Verde\n* `KH` - Cambodia\n* `CM` - Cameroon\n* `CA` - Canada\n* `KY` - Cayman Islands\n* `CF` - Central African Republic\n* `TD` - Chad\n* `CL` - Chile\n* `CN` - China\n* `CX` - Christmas Island\n* `CC` - Cocos (Keeling) Islands\n* `CO` - Colombia\n* `KM` - Comoros\n* `CG` - Congo\n* `CD` - Congo (the Democratic Republic of the)\n* `CK` - Cook Islands\n* `CR` - Costa Rica\n* `CI` - Côte d'Ivoire\n* `HR` - Croatia\n* `CU` - Cuba\n* `CW` - Curaçao\n* `CY` - Cyprus\n* `CZ` - Czechia\n* `DK` - Denmark\n* `DJ` - Djibouti\n* `DM` - Dominica\n* `DO` - Dominican Republic\n* `EC` - Ecuador\n* `EG` - Egypt\n* `SV` - El Salvador\n* `GQ` - Equatorial Guinea\n* `ER` - Eritrea\n* `EE` - Estonia\n* `SZ` - Eswatini\n* `ET` - Ethiopia\n* `FK` - Falkland Islands (Malvinas)\n* `FO` - Faroe Islands\n* `FJ` - Fiji\n* `FI` - Finland\n* `FR` - France\n* `GF` - French Guiana\n* `PF` - French Polynesia\n* `TF` - French Southern Territories\n* `GA` - Gabon\n* `GM` - Gambia\n* `GE` - Georgia\n* `DE` - Germany\n* `GH` - Ghana\n* `GI` - Gibraltar\n* `GR` - Greece\n* `GL` - Greenland\n* `GD` - Grenada\n* `GP` - Guadeloupe\n* `GU` - Guam\n* `GT` - Guatemala\n* `GG` - Guernsey\n* `GN` - Guinea\n* `GW` - Guinea-Bissau\n* `GY` - Guyana\n* `HT` - Haiti\n* `HM` - Heard Island and McDonald Islands\n* `VA` - Holy See\n* `HN` - Honduras\n* `HK` - Hong Kong\n* `HU` - Hungary\n* `IS` - Iceland\n* `IN` - India\n* `ID` - Indonesia\n* `IR` - Iran\n* `IQ` - Iraq\n* `IE` - Ireland\n* `IM` - Isle of Man\n* `IL` - Israel\n* `IT` - Italy\n* `JM` - Jamaica\n* `JP` - Japan\n* `JE` - Jersey\n* `JO` - Jordan\n* `KZ` - Kazakhstan\n* `KE` - Kenya\n* `KI` - Kiribati\n* `XK` - Kosovo\n* `KW` - Kuwait\n* `KG` - Kyrgyzstan\n* `LA` - Laos\n* `LV` - Latvia\n* `LB` - Lebanon\n* `LS` - Lesotho\n* `LR` - Liberia\n* `LY` - Libya\n* `LI` - Liechtenstein\n* `LT` - Lithuania\n* `LU` - Luxembourg\n* `MO` - Macao\n* `MG` - Madagascar\n* `MW` - Malawi\n* `MY` - Malaysia\n* `MV` - Maldives\n* `ML` - Mali\n* `MT` - Malta\n* `MH` - Marshall Islands\n* `MQ` - Martinique\n* `MR` - Mauritania\n* `MU` - Mauritius\n* `YT` - Mayotte\n* `MX` - Mexico\n* `FM` - Micronesia\n* `MD` - Moldova\n* `MC` - Monaco\n* `MN` - Mongolia\n* `ME` - Montenegro\n* `MS` - Montserrat\n* `MA` - Morocco\n* `MZ` - Mozambique\n* `MM` - Myanmar\n* `NA` - Namibia\n* `NR` - Nauru\n* `NP` - Nepal\n* `NL` - Netherlands\n* `NC` - New Caledonia\n* `NZ` - New Zealand\n* `NI` - Nicaragua\n* `NE` - Niger\n* `NG` - Nigeria\n* `NU` - Niue\n* `NF` - Norfolk Island\n* `KP` - North Korea\n* `MK` - North Macedonia\n* `MP` - Northern Mariana Islands\n* `NO` - Norway\n* `OM` - Oman\n* `PK` - Pakistan\n* `PW` - Palau\n* `PS` - Palestine, State of\n* `PA` - Panama\n* `PG` - Papua New Guinea\n* `PY` - Paraguay\n* `PE` - Peru\n* `PH` - Philippines\n* `PN` - Pitcairn\n* `PL` - Poland\n* `PT` - Portugal\n* `PR` - Puerto Rico\n* `QA` - Qatar\n* `RE` - Réunion\n* `RO` - Romania\n* `RU` - Russia\n* `RW` - Rwanda\n* `BL` - Saint Barthélemy\n* `SH` - Saint Helena, Ascension and Tristan da Cunha\n* `KN` - Saint Kitts and Nevis\n* `LC` - Saint Lucia\n* `MF` - Saint Martin (French part)\n* `PM` - Saint Pierre and Miquelon\n* `VC` - Saint Vincent and the Grenadines\n* `WS` - Samoa\n* `SM` - San Marino\n* `ST` - Sao Tome and Principe\n* `SA` - Saudi Arabia\n* `SN` - Senegal\n* `RS` - Serbia\n* `SC` - Seychelles\n* `SL` - Sierra Leone\n* `SG` - Singapore\n* `SX` - Sint Maarten (Dutch part)\n* `SK` - Slovakia\n* `SI` - Slovenia\n* `SB` - Solomon Islands\n* `SO` - Somalia\n* `ZA` - South Africa\n* `GS` - South Georgia and the South Sandwich Islands\n* `KR` - South Korea\n* `SS` - South Sudan\n* `ES` - Spain\n* `LK` - Sri Lanka\n* `SD` - Sudan\n* `SR` - Suriname\n* `SJ` - Svalbard and Jan Mayen\n* `SE` - Sweden\n* `CH` - Switzerland\n* `SY` - Syria\n* `TW` - Taiwan\n* `TJ` - Tajikistan\n* `TZ` - Tanzania\n* `TH` - Thailand\n* `TL` - Timor-Leste\n* `TG` - Togo\n* `TK` - Tokelau\n* `TO` - Tonga\n* `TT` - Trinidad and Tobago\n* `TN` - Tunisia\n* `TR` - Türkiye\n* `TM` - Turkmenistan\n* `TC` - Turks and Caicos Islands\n* `TV` - Tuvalu\n* `UG` - Uganda\n* `UA` - Ukraine\n* `AE` - United Arab Emirates\n* `GB` - United Kingdom\n* `UM` - United States Minor Outlying Islands\n* `US` - United States of America\n* `UY` - Uruguay\n* `UZ` - Uzbekistan\n* `VU` - Vanuatu\n* `VE` - Venezuela\n* `VN` - Vietnam\n* `VG` - Virgin Islands (British)\n* `VI` - Virgin Islands (U.S.)\n* `WF` - Wallis and Futuna\n* `EH` - Western Sahara\n* `YE` - Yemen\n* `ZM` - Zambia\n* `ZW` - Zimbabwe"
          },
          "id": {
            "description": "Existing address identifier to retain when replacing its collection. Omit for a new entry; supplied identifiers must belong to this parent and occur only once.",
            "format": "uuid",
            "type": "string"
          },
          "postal_code": {
            "description": "Postal code of the address.",
            "maxLength": 100,
            "minLength": 1,
            "type": "string"
          },
          "primary": {
            "description": "Whether this is the debtor's primary postal address. A single address defaults to primary when omitted; with multiple addresses, supply this flag on each and set exactly one to true.",
            "type": "boolean"
          },
          "street": {
            "description": "Street and house number.",
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          }
        },
        "required": [
          "city",
          "country",
          "postal_code",
          "street"
        ],
        "type": "object"
      },
      "AllowedAnswerTypesEnum": {
        "description": "* `fileupload` - fileupload\n* `freetext` - freetext\n* `yes-no` - yes-no\n* `yes-no-dontknow` - yes-no-dontknow\n* `yes-no-freetext-on-no` - yes-no-freetext-on-no\n* `yes-with-date-no-freetext-on-no` - yes-with-date-no-freetext-on-no",
        "enum": [
          "fileupload",
          "freetext",
          "yes-no",
          "yes-no-dontknow",
          "yes-no-freetext-on-no",
          "yes-with-date-no-freetext-on-no"
        ],
        "type": "string"
      },
      "AnswerRead": {
        "properties": {
          "additional_comment": {
            "description": "Additional context supplied with the answer.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "booking_date": {
            "description": "Relevant booking date requested by the question, when applicable.",
            "format": "date",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "created_at": {
            "description": "Time at which the answer was submitted.",
            "format": "date-time",
            "readOnly": true,
            "type": "string"
          },
          "documents": {
            "description": "Documents supplied with the answer.",
            "items": {
              "$ref": "#/components/schemas/DocumentRead"
            },
            "readOnly": true,
            "type": "array"
          },
          "id": {
            "description": "Stable identifier of this answer.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          },
          "text": {
            "description": "Selected choice (`yes`, `no`, or `dontknow`) or free-text answer. Empty for an API answer supplied with documents only; legacy answers may use null.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "updated_at": {
            "description": "Time at which the answer was last updated.",
            "format": "date-time",
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "additional_comment",
          "booking_date",
          "created_at",
          "documents",
          "id",
          "text",
          "updated_at"
        ],
        "type": "object"
      },
      "AnswerWriteRequest": {
        "additionalProperties": false,
        "description": "Answer a published request-to-client. Supply non-empty text, at least one document, or both. Only fileupload questions accept documents without text; other question types require text and may also require additional_comment or booking_date as described below.",
        "properties": {
          "additional_comment": {
            "description": "Required for \"no\" answers when allowed_answer_types is yes-no-freetext-on-no or yes-with-date-no-freetext-on-no. Stored as plain text: markup is removed and the value must not be empty afterwards.",
            "maxLength": 5000,
            "nullable": true,
            "type": "string"
          },
          "booking_date": {
            "description": "Required for \"yes\" only when allowed_answer_types is yes-with-date-no-freetext-on-no; forbidden otherwise.",
            "format": "date",
            "type": "string"
          },
          "documents": {
            "description": "Documents supplied with the answer. For `fileupload`, provide at least one document unless non-empty `text` is supplied. At most 20 documents and 50 MiB of decoded document content per command. Each file is limited to 10 MiB and each PDF to 100 pages. Exceeding a limit rejects the command with 400.",
            "items": {
              "$ref": "#/components/schemas/InlineDocumentCreateRequest"
            },
            "maxItems": 20,
            "type": "array"
          },
          "text": {
            "description": "Answer text. For choice-based requests use `yes` or `no`; `dontknow` is also accepted for `yes-no-dontknow`. Required for choice-based requests and `freetext`. For `fileupload`, provide non-empty text, at least one document, or both.",
            "maxLength": 5000,
            "nullable": true,
            "type": "string"
          }
        },
        "type": "object"
      },
      "BankAccountRead": {
        "properties": {
          "account_holder": {
            "description": "Name of the bank-account holder.",
            "readOnly": true,
            "type": "string"
          },
          "bic": {
            "description": "BIC/SWIFT code of the bank account.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "iban": {
            "description": "IBAN of the debtor's bank account.",
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "description": "Stable identifier of this bank account.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "account_holder",
          "bic",
          "iban",
          "id"
        ],
        "type": "object"
      },
      "BankAccountWriteRequest": {
        "description": "Unknown and read-only request fields are rejected with a validation error instead of being silently ignored.",
        "properties": {
          "account_holder": {
            "default": "",
            "description": "Name of the bank-account holder.",
            "maxLength": 255,
            "type": "string"
          },
          "bic": {
            "description": "BIC/SWIFT code; required for non-German IBANs and checked for compatibility with the IBAN country.",
            "maxLength": 11,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "iban": {
            "description": "IBAN of the debtor's bank account.",
            "maxLength": 34,
            "minLength": 1,
            "type": "string"
          },
          "id": {
            "description": "Existing bank account identifier to retain when replacing its collection. Omit for a new entry; supplied identifiers must belong to this parent and occur only once.",
            "format": "uuid",
            "type": "string"
          }
        },
        "required": [
          "iban"
        ],
        "type": "object"
      },
      "BusinessActingAsEnum": {
        "description": "* `business` - Business debtor",
        "enum": [
          "business"
        ],
        "type": "string"
      },
      "BusinessDebtorWriteRequest": {
        "description": "Debtor who incurred the obligation in a business capacity. Supply exactly one of person (sole proprietors) or organization. Unknown and read-only request fields are rejected with a validation error instead of being silently ignored.",
        "properties": {
          "acting_as": {
            "allOf": [
              {
                "$ref": "#/components/schemas/BusinessActingAsEnum"
              }
            ],
            "description": "The debtor incurred the obligation in a business capacity."
          },
          "addresses": {
            "description": "Postal addresses. A debtor can be created without addresses, but at least one complete address is required before an order can be finalized. A non-empty list must have exactly one primary address. Maximum 5 entries.",
            "items": {
              "$ref": "#/components/schemas/AddressWriteRequest"
            },
            "maxItems": 5,
            "type": "array"
          },
          "bank_accounts": {
            "description": "Known bank accounts belonging to the debtor. Maximum 10 entries.",
            "items": {
              "$ref": "#/components/schemas/BankAccountWriteRequest"
            },
            "maxItems": 10,
            "type": "array"
          },
          "communication_channels": {
            "description": "Email addresses and telephone numbers for the debtor. Maximum 10 entries.",
            "items": {
              "$ref": "#/components/schemas/CommunicationChannelWriteRequest"
            },
            "maxItems": 10,
            "type": "array"
          },
          "events": {
            "description": "Contextual events supplied when creating the debtor.",
            "items": {
              "$ref": "#/components/schemas/DebtorEventWriteRequest"
            },
            "type": "array"
          },
          "legal_form": {
            "description": "Optional permanent code from GET /v2/legal-forms/; omit it or supply null or an empty string when unknown. Consumers cannot supply a code. The catalog group determines whether person or organization is required.",
            "nullable": true,
            "type": "string"
          },
          "legal_representatives": {
            "description": "People or organizations legally representing the debtor. Maximum 10 entries. Representative nesting is limited to two levels, with at most 10 second-level representatives per first-level representative.",
            "items": {
              "$ref": "#/components/schemas/LegalRepresentativeWriteRequest"
            },
            "maxItems": 10,
            "type": "array"
          },
          "metadata": {
            "description": "Metadata supplied when creating the debtor; duplicate types are allowed.",
            "items": {
              "$ref": "#/components/schemas/DebtorMetadataWriteRequest"
            },
            "type": "array"
          },
          "organization": {
            "allOf": [
              {
                "$ref": "#/components/schemas/OrganizationWriteRequest"
              }
            ],
            "description": "Organization identity, required for business legal forms outside the privatperson and einzelkaufmann groups, or when no legal form is supplied. Supply name; person must be absent or null. Consumers cannot use this field.",
            "nullable": true
          },
          "person": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DebtorPersonWriteRequest"
              }
            ],
            "description": "Natural-person identity, required for consumers and business legal forms in the privatperson or einzelkaufmann group. Also permitted for businesses without a legal form. Supply first_name and last_name; salutation is optional. Organization must be absent or null.",
            "nullable": true
          },
          "your_reference": {
            "description": "Your reference for this debtor. Blank is stored as null.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "acting_as"
        ],
        "title": "Business debtor",
        "type": "object"
      },
      "CaseChargeTypeEnum": {
        "description": "* `reminder_fee` - reminder_fee\n* `bank_charge` - bank_charge\n* `research_costs` - research_costs",
        "enum": [
          "reminder_fee",
          "bank_charge",
          "research_costs"
        ],
        "type": "string"
      },
      "CaseDocumentStatusEnum": {
        "enum": [
          "pending",
          "ready",
          "failed",
          "rejected"
        ],
        "type": "string"
      },
      "CaseDocumentTypeEnum": {
        "description": "* `bank_statement` - bank_statement\n* `claim_statement` - claim_statement\n* `correspondence` - correspondence\n* `enforceable_title` - enforceable_title\n* `invoice` - invoice\n* `other` - other\n* `payment_proof` - payment_proof\n* `reminder` - reminder\n* `rental_agreement` - rental_agreement",
        "enum": [
          "bank_statement",
          "claim_statement",
          "correspondence",
          "enforceable_title",
          "invoice",
          "other",
          "payment_proof",
          "reminder",
          "rental_agreement"
        ],
        "type": "string"
      },
      "CaseHealthResponse": {
        "properties": {
          "status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CaseHealthResponseStatusEnum"
              }
            ],
            "description": "Whether the Case Management API is available.\n\n* `ok` - ok"
          },
          "version": {
            "allOf": [
              {
                "$ref": "#/components/schemas/VersionEnum"
              }
            ],
            "description": "API contract version served by this endpoint.\n\n* `v2` - v2"
          }
        },
        "required": [
          "status",
          "version"
        ],
        "type": "object"
      },
      "CaseHealthResponseStatusEnum": {
        "description": "* `ok` - ok",
        "enum": [
          "ok"
        ],
        "type": "string"
      },
      "CaseStatementStatusEnum": {
        "enum": [
          "published",
          "cancelled"
        ],
        "type": "string"
      },
      "CaseTokenInfoResponse": {
        "properties": {
          "company": {
            "description": "Company whose data the request is authorized to access.",
            "format": "uuid",
            "type": "string"
          },
          "environment": {
            "allOf": [
              {
                "$ref": "#/components/schemas/EnvironmentEnum"
              }
            ],
            "description": "Environment in which the credential is being used.\n\n* `production` - production\n* `sandbox` - sandbox"
          },
          "id": {
            "description": "Stable identifier of the calling credential, when available.",
            "format": "uuid",
            "nullable": true,
            "type": "string"
          },
          "scopes": {
            "description": "Permissions granted to the calling credential.",
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "token_name": {
            "description": "Human-readable name assigned to the calling credential.",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "company",
          "environment",
          "id",
          "scopes",
          "token_name"
        ],
        "type": "object"
      },
      "CaseWebhookCommandResult": {
        "description": "Accepted webhook command response.",
        "properties": {
          "delivery_id": {
            "description": "Identifier of the delivery created by the command.",
            "format": "uuid",
            "type": "string"
          },
          "detail": {
            "description": "Human-readable result of the accepted command.",
            "type": "string"
          },
          "event_id": {
            "description": "Identifier of the event queued for delivery.",
            "format": "uuid",
            "type": "string"
          }
        },
        "required": [
          "delivery_id",
          "detail",
          "event_id"
        ],
        "type": "object"
      },
      "CaseWebhookEvent": {
        "description": "Body of every Case event, as delivered to a webhook endpoint and as listed by `GET /v2/events/`. Dispatch on `type`: each event type maps to exactly one family whose `data` keys are required or conditional as documented by that family.",
        "discriminator": {
          "mapping": {
            "dunning.handed_to_collection": "#/components/schemas/DunningHandedToCollectionWebhookEvent",
            "dunning.level_advanced": "#/components/schemas/DunningLevelAdvancedWebhookEvent",
            "invoice.cancelled": "#/components/schemas/InvoiceCancelledWebhookEvent",
            "invoice.created": "#/components/schemas/InvoiceCreatedWebhookEvent",
            "invoice.paid": "#/components/schemas/InvoicePaidWebhookEvent",
            "invoice.reopened": "#/components/schemas/InvoiceReopenedWebhookEvent",
            "invoice.written_off": "#/components/schemas/InvoiceWrittenOffWebhookEvent",
            "mandate.balance_updated": "#/components/schemas/MandateBalanceUpdatedWebhookEvent",
            "mandate.correspondence.published": "#/components/schemas/MandateCorrespondenceWebhookEvent",
            "mandate.created": "#/components/schemas/MandateCreatedWebhookEvent",
            "mandate.message.created": "#/components/schemas/MandateMessageWebhookEvent",
            "mandate.state.changed": "#/components/schemas/MandateStateChangedWebhookEvent",
            "mandate.status_update.published": "#/components/schemas/MandateStatusUpdateWebhookEvent",
            "order.accepted": "#/components/schemas/OrderAcceptedWebhookEvent",
            "order.expired": "#/components/schemas/OrderExpiredWebhookEvent",
            "order.message.created": "#/components/schemas/OrderMessageWebhookEvent",
            "order.rejected": "#/components/schemas/OrderRejectedWebhookEvent",
            "order.submitted": "#/components/schemas/OrderSubmittedWebhookEvent",
            "order.withdrawn": "#/components/schemas/OrderWithdrawnWebhookEvent",
            "payment.reported": "#/components/schemas/PaymentWebhookEvent",
            "request_to_client.answered": "#/components/schemas/RequestToClientAnsweredWebhookEvent",
            "request_to_client.created": "#/components/schemas/RequestToClientCreatedWebhookEvent",
            "single_mandate_statement.cancelled": "#/components/schemas/SingleMandateStatementCancelledWebhookEvent",
            "single_mandate_statement.published": "#/components/schemas/SingleMandateStatementPublishedWebhookEvent",
            "statement.cancelled": "#/components/schemas/StatementCancelledWebhookEvent",
            "statement.published": "#/components/schemas/StatementPublishedWebhookEvent"
          },
          "propertyName": "type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/OrderSubmittedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/OrderWithdrawnWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/OrderRejectedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/OrderAcceptedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/OrderExpiredWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateCreatedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateStateChangedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateStatusUpdateWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateBalanceUpdatedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/OrderMessageWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateMessageWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/RequestToClientCreatedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/RequestToClientAnsweredWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/PaymentWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/StatementPublishedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/StatementCancelledWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/SingleMandateStatementPublishedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/SingleMandateStatementCancelledWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/MandateCorrespondenceWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/InvoiceCreatedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/InvoicePaidWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/InvoiceCancelledWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/InvoiceWrittenOffWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/InvoiceReopenedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/DunningLevelAdvancedWebhookEvent"
          },
          {
            "$ref": "#/components/schemas/DunningHandedToCollectionWebhookEvent"
          }
        ],
        "x-examples": [
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "claim_ids": [
                "30000000-0000-4000-8000-000000000001"
              ],
              "company_id": "10000000-0000-4000-8000-000000000001",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000001",
            "type": "order.submitted"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "claim_ids": [
                "30000000-0000-4000-8000-000000000001"
              ],
              "company_id": "10000000-0000-4000-8000-000000000001",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000002",
            "type": "order.withdrawn"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "claim_ids": [
                "30000000-0000-4000-8000-000000000001"
              ],
              "company_id": "10000000-0000-4000-8000-000000000001",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000003",
            "type": "order.rejected"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "claim_ids": [
                "30000000-0000-4000-8000-000000000001"
              ],
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000004",
            "type": "order.accepted"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "claim_ids": [
                "30000000-0000-4000-8000-000000000001"
              ],
              "company_id": "10000000-0000-4000-8000-000000000001",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000005",
            "type": "order.expired"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000006",
            "type": "mandate.created"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000007",
            "type": "mandate.state.changed"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/",
              "status_update_id": "f0000000-0000-4000-8000-000000000001"
            },
            "id": "00000000-0000-4000-8000-000000000008",
            "type": "mandate.status_update.published"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000009",
            "type": "mandate.balance_updated"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "message_id": "70000000-0000-4000-8000-000000000001",
              "order_id": "20000000-0000-4000-8000-000000000001",
              "order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000010",
            "type": "order.message.created"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/",
              "message_id": "70000000-0000-4000-8000-000000000001"
            },
            "id": "00000000-0000-4000-8000-000000000011",
            "type": "mandate.message.created"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "request_to_client_id": "80000000-0000-4000-8000-000000000001",
              "request_to_client_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/requests-to-client/80000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000012",
            "type": "request_to_client.created"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "request_to_client_id": "80000000-0000-4000-8000-000000000001",
              "request_to_client_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/requests-to-client/80000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000013",
            "type": "request_to_client.answered"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "payment_id": "90000000-0000-4000-8000-000000000001",
              "payment_url": "/v2/payments/90000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000014",
            "type": "payment.reported"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "statement_id": "a0000000-0000-4000-8000-000000000001",
              "statement_url": "/v2/statements/a0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000015",
            "type": "statement.published"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "statement_id": "a0000000-0000-4000-8000-000000000001",
              "statement_url": "/v2/statements/a0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000016",
            "type": "statement.cancelled"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "single_mandate_statement_id": "a0000000-0000-4000-8000-000000000002",
              "single_mandate_statement_url": "/v2/single-mandate-statements/a0000000-0000-4000-8000-000000000002/"
            },
            "id": "00000000-0000-4000-8000-000000000017",
            "type": "single_mandate_statement.published"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "single_mandate_statement_id": "a0000000-0000-4000-8000-000000000002",
              "single_mandate_statement_url": "/v2/single-mandate-statements/a0000000-0000-4000-8000-000000000002/"
            },
            "id": "00000000-0000-4000-8000-000000000018",
            "type": "single_mandate_statement.cancelled"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "channel": "email",
              "company_id": "10000000-0000-4000-8000-000000000001",
              "correspondence_id": "f3000000-0000-4000-8000-000000000001",
              "correspondence_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/correspondence/f3000000-0000-4000-8000-000000000001/",
              "mandate_id": "50000000-0000-4000-8000-000000000001",
              "mandate_url": "/v2/mandates/50000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000019",
            "type": "mandate.correspondence.published"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000020",
            "type": "invoice.created"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000021",
            "type": "invoice.paid"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000022",
            "type": "invoice.cancelled"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000023",
            "type": "invoice.written_off"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000024",
            "type": "invoice.reopened"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000025",
            "type": "dunning.level_advanced"
          },
          {
            "created_at": "2026-07-18T12:00:00Z",
            "data": {
              "company_id": "10000000-0000-4000-8000-000000000001",
              "invoice_id": "b0000000-0000-4000-8000-000000000001",
              "invoice_url": "/mahnservice/v1/invoices/b0000000-0000-4000-8000-000000000001/"
            },
            "id": "00000000-0000-4000-8000-000000000026",
            "type": "dunning.handed_to_collection"
          }
        ]
      },
      "CaseWebhookSubscriptionEventEnum": {
        "description": "* `*` - *\n* `order.submitted` - order.submitted\n* `order.withdrawn` - order.withdrawn\n* `order.rejected` - order.rejected\n* `order.accepted` - order.accepted\n* `order.expired` - order.expired\n* `mandate.created` - mandate.created\n* `mandate.state.changed` - mandate.state.changed\n* `mandate.status_update.published` - mandate.status_update.published\n* `mandate.balance_updated` - mandate.balance_updated\n* `order.message.created` - order.message.created\n* `mandate.message.created` - mandate.message.created\n* `request_to_client.created` - request_to_client.created\n* `request_to_client.answered` - request_to_client.answered\n* `payment.reported` - payment.reported\n* `statement.published` - statement.published\n* `statement.cancelled` - statement.cancelled\n* `single_mandate_statement.published` - single_mandate_statement.published\n* `single_mandate_statement.cancelled` - single_mandate_statement.cancelled\n* `mandate.correspondence.published` - mandate.correspondence.published\n* `invoice.created` - invoice.created\n* `invoice.paid` - invoice.paid\n* `invoice.cancelled` - invoice.cancelled\n* `invoice.written_off` - invoice.written_off\n* `invoice.reopened` - invoice.reopened\n* `dunning.level_advanced` - dunning.level_advanced\n* `dunning.handed_to_collection` - dunning.handed_to_collection",
        "enum": [
          "*",
          "order.submitted",
          "order.withdrawn",
          "order.rejected",
          "order.accepted",
          "order.expired",
          "mandate.created",
          "mandate.state.changed",
          "mandate.status_update.published",
          "mandate.balance_updated",
          "order.message.created",
          "mandate.message.created",
          "request_to_client.created",
          "request_to_client.answered",
          "payment.reported",
          "statement.published",
          "statement.cancelled",
          "single_mandate_statement.published",
          "single_mandate_statement.cancelled",
          "mandate.correspondence.published",
          "invoice.created",
          "invoice.paid",
          "invoice.cancelled",
          "invoice.written_off",
          "invoice.reopened",
          "dunning.level_advanced",
          "dunning.handed_to_collection"
        ],
        "type": "string"
      },
      "CaseWebhookTestEventEnum": {
        "description": "* `order.submitted` - order.submitted\n* `order.withdrawn` - order.withdrawn\n* `order.rejected` - order.rejected\n* `order.accepted` - order.accepted\n* `order.expired` - order.expired\n* `mandate.created` - mandate.created\n* `mandate.state.changed` - mandate.state.changed\n* `mandate.status_update.published` - mandate.status_update.published\n* `mandate.balance_updated` - mandate.balance_updated\n* `order.message.created` - order.message.created\n* `mandate.message.created` - mandate.message.created\n* `request_to_client.created` - request_to_client.created\n* `request_to_client.answered` - request_to_client.answered\n* `payment.reported` - payment.reported\n* `statement.published` - statement.published\n* `statement.cancelled` - statement.cancelled\n* `single_mandate_statement.published` - single_mandate_statement.published\n* `single_mandate_statement.cancelled` - single_mandate_statement.cancelled\n* `mandate.correspondence.published` - mandate.correspondence.published\n* `invoice.created` - invoice.created\n* `invoice.paid` - invoice.paid\n* `invoice.cancelled` - invoice.cancelled\n* `invoice.written_off` - invoice.written_off\n* `invoice.reopened` - invoice.reopened\n* `dunning.level_advanced` - dunning.level_advanced\n* `dunning.handed_to_collection` - dunning.handed_to_collection",
        "enum": [
          "order.submitted",
          "order.withdrawn",
          "order.rejected",
          "order.accepted",
          "order.expired",
          "mandate.created",
          "mandate.state.changed",
          "mandate.status_update.published",
          "mandate.balance_updated",
          "order.message.created",
          "mandate.message.created",
          "request_to_client.created",
          "request_to_client.answered",
          "payment.reported",
          "statement.published",
          "statement.cancelled",
          "single_mandate_statement.published",
          "single_mandate_statement.cancelled",
          "mandate.correspondence.published",
          "invoice.created",
          "invoice.paid",
          "invoice.cancelled",
          "invoice.written_off",
          "invoice.reopened",
          "dunning.level_advanced",
          "dunning.handed_to_collection"
        ],
        "type": "string"
      },
      "CaseWebhookTestEventRequest": {
        "description": "Event selection for the webhook test-delivery action.",
        "properties": {
          "event": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CaseWebhookTestEventEnum"
              }
            ],
            "description": "Event type to use for the test delivery; must be one the webhook is subscribed to.\n\n* `order.submitted` - order.submitted\n* `order.withdrawn` - order.withdrawn\n* `order.rejected` - order.rejected\n* `order.accepted` - order.accepted\n* `order.expired` - order.expired\n* `mandate.created` - mandate.created\n* `mandate.state.changed` - mandate.state.changed\n* `mandate.status_update.published` - mandate.status_update.published\n* `mandate.balance_updated` - mandate.balance_updated\n* `order.message.created` - order.message.created\n* `mandate.message.created` - mandate.message.created\n* `request_to_client.created` - request_to_client.created\n* `request_to_client.answered` - request_to_client.answered\n* `payment.reported` - payment.reported\n* `statement.published` - statement.published\n* `statement.cancelled` - statement.cancelled\n* `single_mandate_statement.published` - single_mandate_statement.published\n* `single_mandate_statement.cancelled` - single_mandate_statement.cancelled\n* `mandate.correspondence.published` - mandate.correspondence.published\n* `invoice.created` - invoice.created\n* `invoice.paid` - invoice.paid\n* `invoice.cancelled` - invoice.cancelled\n* `invoice.written_off` - invoice.written_off\n* `invoice.reopened` - invoice.reopened\n* `dunning.level_advanced` - dunning.level_advanced\n* `dunning.handed_to_collection` - dunning.handed_to_collection"
          }
        },
        "required": [
          "event"
        ],
        "type": "object"
      },
      "CaseWebhookWithSecret": {
        "description": "Create / rotate-secret response — surfaces `secret_key` exactly once.",
        "properties": {
          "auto_disabled": {
            "description": "`true` when the endpoint was disabled automatically after reaching `max_consecutive_failures`; re-enable it with `enabled: true` once the destination is fixed. Auto-disabled endpoints do not count toward the endpoint limit.",
            "readOnly": true,
            "type": "boolean"
          },
          "consecutive_failures": {
            "description": "Consecutive deliveries that reached terminal failure. Individual retry attempts do not increment this counter; a successful delivery resets it.",
            "readOnly": true,
            "type": "integer"
          },
          "contract_version": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ContractVersionEnum"
              }
            ],
            "description": "Payload/signature contract of this endpoint. Endpoints created via this API are always `v2`; `v1` marks a legacy subscription that still receives v1 payloads and must be recreated to migrate.\n\n* `v1` - Legacy v1\n* `v2` - Version 2",
            "readOnly": true
          },
          "created_at": {
            "description": "Time at which the webhook subscription was created.",
            "format": "date-time",
            "readOnly": true,
            "type": "string"
          },
          "description": {
            "description": "Optional single-line label for this webhook.",
            "maxLength": 255,
            "type": "string"
          },
          "enabled": {
            "description": "Whether deliveries are attempted. Re-enabling an endpoint resets its consecutive failure counter. Auto-disabled endpoints do not count toward the endpoint limit, so re-enabling one requires a free slot; otherwise the request returns 409 webhook_limit_reached.",
            "type": "boolean"
          },
          "events": {
            "description": "Current public event subscriptions for this endpoint. `[\"*\"]` subscribes to all public events; otherwise the list contains the subscribed event types.",
            "items": {
              "$ref": "#/components/schemas/CaseWebhookSubscriptionEventEnum"
            },
            "type": "array"
          },
          "id": {
            "description": "Stable identifier for this resource.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          },
          "last_failure_at": {
            "description": "Time of the most recent terminal delivery failure since the last successful delivery; null after a successful delivery or when no failure has been recorded.",
            "format": "date-time",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "max_consecutive_failures": {
            "description": "Automatically disables the endpoint when this many consecutive deliveries reach terminal failure. Retry attempts within one delivery do not each count. Raising it above the failure count of an automatically disabled endpoint makes that endpoint count toward the endpoint limit again and requires a free slot.",
            "maximum": 1000,
            "minimum": 1,
            "type": "integer"
          },
          "secret_key": {
            "description": "Signing secret shown once on creation or rotation. Store it to verify webhook signatures; list, retrieve, and idempotent replay responses omit it.",
            "readOnly": true,
            "type": "string"
          },
          "updated_at": {
            "description": "Time at which the webhook subscription was last updated.",
            "format": "date-time",
            "readOnly": true,
            "type": "string"
          },
          "url": {
            "description": "Publicly reachable HTTPS URL for webhook notifications. Must be unique among this company’s v2 endpoints; duplicate checks normalize the scheme, host, and default port.",
            "format": "uri",
            "maxLength": 2048,
            "type": "string"
          }
        },
        "required": [
          "auto_disabled",
          "consecutive_failures",
          "contract_version",
          "created_at",
          "id",
          "last_failure_at",
          "updated_at",
          "url"
        ],
        "type": "object"
      },
      "Claim": {
        "discriminator": {
          "mapping": {
            "receivable": "#/components/schemas/ReceivableClaim",
            "titled": "#/components/schemas/TitledClaim"
          },
          "propertyName": "type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/ReceivableClaim"
          },
          {
            "$ref": "#/components/schemas/TitledClaim"
          }
        ]
      },
      "ClaimAmountRead": {
        "description": "Read-only two-decimal EUR amount.",
        "properties": {
          "currency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CurrencyEnum"
              }
            ],
            "description": "Currency of the amount; currently always EUR.\n\n* `EUR` - EUR",
            "readOnly": true
          },
          "value": {
            "description": "Monetary value expressed with two decimal places. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,14}(?:\\.[0-9]{1,2})?$",
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "currency",
          "value"
        ],
        "type": "object"
      },
      "ClaimAmountWriteRequest": {
        "description": "A non-negative EUR claim or charge amount.",
        "properties": {
          "currency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CurrencyEnum"
              }
            ],
            "default": "EUR",
            "description": "Currency of the amount; currently always EUR.\n\n* `EUR` - EUR"
          },
          "value": {
            "description": "Non-negative monetary value in major currency units, with at most two decimal places; for EUR, 100.00 means 100 euros. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,14}(?:\\.[0-9]{1,2})?$",
            "type": "string"
          }
        },
        "required": [
          "value"
        ],
        "type": "object"
      },
      "ClaimChargeRead": {
        "description": "Read representation of one canonical additional charge.",
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimAmountRead"
              }
            ],
            "description": "Amount of the additional charge.",
            "readOnly": true
          },
          "events": {
            "description": "Stored contextual events associated with this resource.",
            "items": {
              "$ref": "#/components/schemas/LegacyEventRead"
            },
            "readOnly": true,
            "type": "array"
          },
          "id": {
            "description": "Stable identifier of this additional charge.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          },
          "metadata": {
            "description": "Stored metadata entries; duplicate types remain separate entries.",
            "items": {
              "$ref": "#/components/schemas/LegacyMetadataRead"
            },
            "readOnly": true,
            "type": "array"
          },
          "occurrence_date": {
            "description": "Date on which the additional charge arose.",
            "format": "date",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "subject_matter": {
            "description": "Reason or subject of the additional charge.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CaseChargeTypeEnum"
              }
            ],
            "description": "Business category of the additional charge.\n\n* `reminder_fee` - reminder_fee\n* `bank_charge` - bank_charge\n* `research_costs` - research_costs",
            "readOnly": true
          },
          "your_reference": {
            "description": "Your reference for this additional charge.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "amount",
          "events",
          "id",
          "metadata",
          "occurrence_date",
          "subject_matter",
          "type",
          "your_reference"
        ],
        "type": "object"
      },
      "ClaimChargeWriteRequest": {
        "description": "An additional charge / incidental claim (Nebenforderung).",
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimAmountWriteRequest"
              }
            ],
            "description": "Amount of the additional charge. Zero is accepted while drafting, but the amount must be positive before finalization."
          },
          "events": {
            "description": "Contextual events for this new charge.",
            "items": {
              "$ref": "#/components/schemas/AdditionalChargeEventWriteRequest"
            },
            "type": "array"
          },
          "metadata": {
            "description": "Metadata for this new charge; duplicate types are allowed.",
            "items": {
              "$ref": "#/components/schemas/ClaimMetadataWriteRequest"
            },
            "type": "array"
          },
          "occurrence_date": {
            "description": "Date on which the additional charge arose; required before the order can be finalized.",
            "format": "date",
            "nullable": true,
            "type": "string"
          },
          "subject_matter": {
            "description": "Reason or subject of the additional charge. Maximum 2000 characters.",
            "maxLength": 2000,
            "nullable": true,
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CaseChargeTypeEnum"
              }
            ],
            "description": "Business category of the additional charge.\n\n* `reminder_fee` - reminder_fee\n* `bank_charge` - bank_charge\n* `research_costs` - research_costs"
          },
          "your_reference": {
            "description": "Your reference for this additional charge.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "amount",
          "type"
        ],
        "type": "object"
      },
      "ClaimCreateRequest": {
        "discriminator": {
          "mapping": {
            "receivable": "#/components/schemas/ReceivableClaimCreateRequest",
            "titled": "#/components/schemas/TitledClaimCreateRequest"
          },
          "propertyName": "type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/ReceivableClaimCreateRequest"
          },
          {
            "$ref": "#/components/schemas/TitledClaimCreateRequest"
          }
        ]
      },
      "ClaimDocumentCreateRequest": {
        "additionalProperties": false,
        "description": "Generic claim attachments: slot-only types belong to their sub-resource.",
        "properties": {
          "base64": {
            "description": "Base64-encoded PDF, JPEG, or PNG content. Supply exactly one of base64 or multipart file. Maximum decoded file size: 10 MiB (10,485,760 bytes); maximum PDF length: 100 pages. Oversized content returns 400; too many PDF pages uses page_limit_exceeded.",
            "maxLength": 15029589,
            "minLength": 1,
            "type": "string"
          },
          "file": {
            "description": "PDF, JPEG, or PNG file supplied as multipart form data. Supply exactly one of file or base64. Maximum file size: 10 MiB (10,485,760 bytes); maximum PDF length: 100 pages. Oversized content returns 400; too many PDF pages uses page_limit_exceeded.",
            "format": "binary",
            "type": "string"
          },
          "filename": {
            "description": "Original filename shown to users. Path components and control characters are removed and the extension always follows the detected content type.",
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimDocumentTypeEnum"
              }
            ],
            "description": "Business purpose of the document.\n\n* `bank_statement` - bank_statement\n* `claim_statement` - claim_statement\n* `correspondence` - correspondence\n* `invoice` - invoice\n* `other` - other\n* `payment_proof` - payment_proof\n* `reminder` - reminder"
          }
        },
        "required": [
          "type"
        ],
        "type": "object"
      },
      "ClaimDocumentTypeEnum": {
        "description": "* `bank_statement` - bank_statement\n* `claim_statement` - claim_statement\n* `correspondence` - correspondence\n* `invoice` - invoice\n* `other` - other\n* `payment_proof` - payment_proof\n* `reminder` - reminder",
        "enum": [
          "bank_statement",
          "claim_statement",
          "correspondence",
          "invoice",
          "other",
          "payment_proof",
          "reminder"
        ],
        "type": "string"
      },
      "ClaimEventWriteRequest": {
        "description": "A contextual event supplied when creating a debtor, claim, or additional charge.",
        "properties": {
          "description": {
            "description": "Optional description of the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          },
          "location": {
            "description": "Optional location associated with the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          },
          "occurence": {
            "description": "Time at which the event occurred; the historical field spelling is intentional.",
            "format": "date-time",
            "type": "string"
          },
          "title": {
            "description": "Human-readable title of the event.",
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimEventWriteTypeEnum"
              }
            ],
            "description": "Claim event type.\n\n* `claim` - claim\n* `delivery` - delivery"
          },
          "your_reference": {
            "description": "Your optional reference for the event.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "occurence",
          "title",
          "type"
        ],
        "type": "object"
      },
      "ClaimEventWriteTypeEnum": {
        "description": "* `claim` - claim\n* `delivery` - delivery",
        "enum": [
          "claim",
          "delivery"
        ],
        "type": "string"
      },
      "ClaimItemRead": {
        "description": "Read representation of one invoice line.",
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimAmountRead"
              }
            ],
            "description": "Calculated line total: quantity multiplied by unit price.",
            "readOnly": true
          },
          "description": {
            "description": "Goods or service represented by this invoice or contract line.",
            "readOnly": true,
            "type": "string"
          },
          "quantity": {
            "description": "Number of units represented by this line. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,10}(?:\\.[0-9]{1,6})?$",
            "readOnly": true,
            "type": "string"
          },
          "unit": {
            "description": "Unit of measure for the quantity, when applicable.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "unit_price": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimAmountRead"
              }
            ],
            "description": "Price of one unit before multiplying by quantity.",
            "readOnly": true
          }
        },
        "required": [
          "amount",
          "description",
          "quantity",
          "unit",
          "unit_price"
        ],
        "type": "object"
      },
      "ClaimItemWriteRequest": {
        "description": "A line item on a claim (Rechnungsposten).",
        "properties": {
          "description": {
            "description": "Goods or service represented by this invoice or contract line.",
            "maxLength": 1000,
            "minLength": 1,
            "type": "string"
          },
          "quantity": {
            "description": "Non-negative number of units represented by this line; up to six decimal places are supported. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,10}(?:\\.[0-9]{1,6})?$",
            "type": "string"
          },
          "unit": {
            "description": "Unit of measure for the quantity, when applicable.",
            "maxLength": 255,
            "nullable": true,
            "type": "string"
          },
          "unit_price": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimUnitPriceWriteRequest"
              }
            ],
            "description": "Price of one unit before multiplying by quantity."
          }
        },
        "required": [
          "description",
          "quantity",
          "unit_price"
        ],
        "type": "object"
      },
      "ClaimLegalBasisRead": {
        "description": "Read representation of the singular legal basis.",
        "properties": {
          "claim_type_code": {
            "description": "Code identifying the contract or transaction underlying the claim. H17 is commercial rent, H19 is residential rent, and K014 identifies receivable enforcement costs in titled orders. See [legal basis codes](https://docs.paywise.de/api-docs/case-management-api/concepts/claims#legal-basis-codes) for the full code-to-meaning table.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "contract_date": {
            "description": "Date on which the underlying contract or obligation arose.",
            "format": "date",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "description": {
            "description": "Terms or circumstances establishing the principal claim. API submissions are limited to 2000 characters.",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "claim_type_code",
          "contract_date",
          "description"
        ],
        "type": "object"
      },
      "ClaimLegalBasisWriteRequest": {
        "description": "Writable singular legal basis.\n\nEvery key is optional: an absent key keeps the company default (create)\nor the stored value (PATCH); a supplied value — including `null` for\n`description` — is persisted as sent.",
        "properties": {
          "claim_type_code": {
            "allOf": [
              {
                "$ref": "#/components/schemas/PrincipalClaimIkarosEventcodeEnum"
              }
            ],
            "description": "Public claim code. H17 (commercial rent) and H19 (residential rent) are valid only in rental orders and cannot be mixed in one order. Receivable enforcement costs in a titled order derive K014; do not supply a code for them. For other receivables, omission on creation or an empty string uses the company default when configured; omission on PATCH preserves the current code. See [legal basis codes](https://docs.paywise.de/api-docs/case-management-api/concepts/claims#legal-basis-codes) for the full code-to-meaning table."
          },
          "contract_date": {
            "description": "Date the underlying contract was concluded. For H17/H19 rent it is derived from the rental agreement and a supplied value must match. For other receivables it cannot follow document_date; when omitted during creation it defaults to document_date.",
            "format": "date",
            "nullable": true,
            "type": "string"
          },
          "description": {
            "description": "Terms or circumstances establishing the principal claim. Omission during creation, null, or an empty string uses the company default when configured; an omitted PATCH property keeps its current value. Maximum 2000 characters.",
            "maxLength": 2000,
            "nullable": true,
            "type": "string"
          }
        },
        "type": "object"
      },
      "ClaimMetadataWriteRequest": {
        "description": "One creation-time metadata row; duplicate types are intentional.",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ClaimMetadataWriteTypeEnum"
              }
            ],
            "description": "Claim or additional-charge metadata type.\n\n* `comment` - comment\n* `invoice:reference` - invoice:reference\n* `invoice:date` - invoice:date\n* `invoice:address_line_1` - invoice:address_line_1\n* `invoice:address_line_2` - invoice:address_line_2\n* `invoice:address_city` - invoice:address_city\n* `invoice:address_country` - invoice:address_country\n* `invoice:address_zip` - invoice:address_zip\n* `invoice:amount` - invoice:amount\n* `transaction:reference` - transaction:reference\n* `transaction:source_ip_address` - transaction:source_ip_address\n* `contract:reference` - contract:reference\n* `report:reference` - report:reference\n* `account:reference` - account:reference\n* `claim:holder:address:country` - claim:holder:address:country\n* `claim:holder:address:city` - claim:holder:address:city\n* `claim:holder:name` - claim:holder:name\n* `dunning:level` - dunning:level\n* `reminder:date` - reminder:date\n* `reminder:amount:value` - reminder:amount:value\n* `reminder:amount:currency` - reminder:amount:currency\n* `notification:date` - notification:date\n* `confirmation:email` - confirmation:email\n* `order:rate` - order:rate\n* `order:deposit` - order:deposit\n* `order:cashback` - order:cashback\n* `order:prepaid` - order:prepaid\n* `order:type` - order:type\n* `rental:pickup:date` - rental:pickup:date\n* `rental:pickup:time` - rental:pickup:time\n* `rental:pickup:city` - rental:pickup:city\n* `rental:dropoff:date` - rental:dropoff:date\n* `rental:dropoff:time` - rental:dropoff:time\n* `rental:dropoff:city` - rental:dropoff:city\n* `rental:gps_tracking` - rental:gps_tracking\n* `rental:charged_items` - rental:charged_items\n* `payment:method` - payment:method\n* `import:csv:filename` - import:csv:filename\n* `insurance:bonus_malus_system` - insurance:bonus_malus_system\n* `insurance:contribution_rate` - insurance:contribution_rate\n* `insurance:regional_class_liability_insurance` - insurance:regional_class_liability_insurance\n* `insurance:regional_class_partial_coverage` - insurance:regional_class_partial_coverage\n* `payment:frequency` - payment:frequency\n* `language` - language\n* `tax:id` - tax:id\n* `notification_delivery:date` - notification_delivery:date\n* `merchant:address_line1` - merchant:address_line1\n* `merchant:address_city` - merchant:address_city\n* `merchant:address_zip` - merchant:address_zip\n* `merchant:address_country` - merchant:address_country\n* `merchant:company_name` - merchant:company_name\n* `merchant:company_type` - merchant:company_type\n* `merchant:representative_firstname` - merchant:representative_firstname\n* `merchant:representative_secondname` - merchant:representative_secondname\n* `merchant:website_url` - merchant:website_url\n* `chargeback:reason` - chargeback:reason\n* `shop:website_url` - shop:website_url\n* `subscription:overdue_period` - subscription:overdue_period\n* `subscription:duration` - subscription:duration\n* `subscription:start` - subscription:start\n* `subscription:delivery:address` - subscription:delivery:address\n* `subscription:reference` - subscription:reference\n* `subscription:renewal` - subscription:renewal\n* `subscription:last_login` - subscription:last_login\n* `subscription:photo_available` - subscription:photo_available\n* `subscription:type` - subscription:type\n* `subscription:termination` - subscription:termination\n* `medical:patient` - medical:patient\n* `debtor:file_id` - debtor:file_id\n* `email:seller` - email:seller\n* `name:seller` - name:seller\n* `addressline:seller` - addressline:seller\n* `zip:seller` - zip:seller\n* `city:seller` - city:seller\n* `name:ditsributor` - name:ditsributor\n* `email:distributor` - email:distributor\n* `addressline:distributor` - addressline:distributor\n* `zip:distributor` - zip:distributor\n* `city:distributor` - city:distributor\n* `logo:distributor_pdf` - logo:distributor_pdf\n* `logo:distributor_email` - logo:distributor_email\n* `account:beneficiary` - account:beneficiary\n* `purchase:price` - purchase:price\n* `conditional:purchase_price` - conditional:purchase_price\n* `direct:payments` - direct:payments\n* `VAT` - VAT\n* `product:type` - product:type"
          },
          "value": {
            "description": "Metadata value; duplicate types remain separate entries.",
            "maxLength": 255,
            "minLength": 1,
            "type": "string"
          }
        },
        "required": [
          "type",
          "value"
        ],
        "type": "object"
      },
      "ClaimMetadataWriteTypeEnum": {
        "description": "* `comment` - comment\n* `invoice:reference` - invoice:reference\n* `invoice:date` - invoice:date\n* `invoice:address_line_1` - invoice:address_line_1\n* `invoice:address_line_2` - invoice:address_line_2\n* `invoice:address_city` - invoice:address_city\n* `invoice:address_country` - invoice:address_country\n* `invoice:address_zip` - invoice:address_zip\n* `invoice:amount` - invoice:amount\n* `transaction:reference` - transaction:reference\n* `transaction:source_ip_address` - transaction:source_ip_address\n* `contract:reference` - contract:reference\n* `report:reference` - report:reference\n* `account:reference` - account:reference\n* `claim:holder:address:country` - claim:holder:address:country\n* `claim:holder:address:city` - claim:holder:address:city\n* `claim:holder:name` - claim:holder:name\n* `dunning:level` - dunning:level\n* `reminder:date` - reminder:date\n* `reminder:amount:value` - reminder:amount:value\n* `reminder:amount:currency` - reminder:amount:currency\n* `notification:date` - notification:date\n* `confirmation:email` - confirmation:email\n* `order:rate` - order:rate\n* `order:deposit` - order:deposit\n* `order:cashback` - order:cashback\n* `order:prepaid` - order:prepaid\n* `order:type` - order:type\n* `rental:pickup:date` - rental:pickup:date\n* `rental:pickup:time` - rental:pickup:time\n* `rental:pickup:city` - rental:pickup:city\n* `rental:dropoff:date` - rental:dropoff:date\n* `rental:dropoff:time` - rental:dropoff:time\n* `rental:dropoff:city` - rental:dropoff:city\n* `rental:gps_tracking` - rental:gps_tracking\n* `rental:charged_items` - rental:charged_items\n* `payment:method` - payment:method\n* `import:csv:filename` - import:csv:filename\n* `insurance:bonus_malus_system` - insurance:bonus_malus_system\n* `insurance:contribution_rate` - insurance:contribution_rate\n* `insurance:regional_class_liability_insurance` - insurance:regional_class_liability_insurance\n* `insurance:regional_class_partial_coverage` - insurance:regional_class_partial_coverage\n* `payment:frequency` - payment:frequency\n* `language` - language\n* `tax:id` - tax:id\n* `notification_delivery:date` - notification_delivery:date\n* `merchant:address_line1` - merchant:address_line1\n* `merchant:address_city` - merchant:address_city\n* `merchant:address_zip` - merchant:address_zip\n* `merchant:address_country` - merchant:address_country\n* `merchant:company_name` - merchant:company_name\n* `merchant:company_type` - merchant:company_type\n* `merchant:representative_firstname` - merchant:representative_firstname\n* `merchant:representative_secondname` - merchant:representative_secondname\n* `merchant:website_url` - merchant:website_url\n* `chargeback:reason` - chargeback:reason\n* `shop:website_url` - shop:website_url\n* `subscription:overdue_period` - subscription:overdue_period\n* `subscription:duration` - subscription:duration\n* `subscription:start` - subscription:start\n* `subscription:delivery:address` - subscription:delivery:address\n* `subscription:reference` - subscription:reference\n* `subscription:renewal` - subscription:renewal\n* `subscription:last_login` - subscription:last_login\n* `subscription:photo_available` - subscription:photo_available\n* `subscription:type` - subscription:type\n* `subscription:termination` - subscription:termination\n* `medical:patient` - medical:patient\n* `debtor:file_id` - debtor:file_id\n* `email:seller` - email:seller\n* `name:seller` - name:seller\n* `addressline:seller` - addressline:seller\n* `zip:seller` - zip:seller\n* `city:seller` - city:seller\n* `name:ditsributor` - name:ditsributor\n* `email:distributor` - email:distributor\n* `addressline:distributor` - addressline:distributor\n* `zip:distributor` - zip:distributor\n* `city:distributor` - city:distributor\n* `logo:distributor_pdf` - logo:distributor_pdf\n* `logo:distributor_email` - logo:distributor_email\n* `account:beneficiary` - account:beneficiary\n* `purchase:price` - purchase:price\n* `conditional:purchase_price` - conditional:purchase_price\n* `direct:payments` - direct:payments\n* `VAT` - VAT\n* `product:type` - product:type",
        "enum": [
          "comment",
          "invoice:reference",
          "invoice:date",
          "invoice:address_line_1",
          "invoice:address_line_2",
          "invoice:address_city",
          "invoice:address_country",
          "invoice:address_zip",
          "invoice:amount",
          "transaction:reference",
          "transaction:source_ip_address",
          "contract:reference",
          "report:reference",
          "account:reference",
          "claim:holder:address:country",
          "claim:holder:address:city",
          "claim:holder:name",
          "dunning:level",
          "reminder:date",
          "reminder:amount:value",
          "reminder:amount:currency",
          "notification:date",
          "confirmation:email",
          "order:rate",
          "order:deposit",
          "order:cashback",
          "order:prepaid",
          "order:type",
          "rental:pickup:date",
          "rental:pickup:time",
          "rental:pickup:city",
          "rental:dropoff:date",
          "rental:dropoff:time",
          "rental:dropoff:city",
          "rental:gps_tracking",
          "rental:charged_items",
          "payment:method",
          "import:csv:filename",
          "insurance:bonus_malus_system",
          "insurance:contribution_rate",
          "insurance:regional_class_liability_insurance",
          "insurance:regional_class_partial_coverage",
          "payment:frequency",
          "language",
          "tax:id",
          "notification_delivery:date",
          "merchant:address_line1",
          "merchant:address_city",
          "merchant:address_zip",
          "merchant:address_country",
          "merchant:company_name",
          "merchant:company_type",
          "merchant:representative_firstname",
          "merchant:representative_secondname",
          "merchant:website_url",
          "chargeback:reason",
          "shop:website_url",
          "subscription:overdue_period",
          "subscription:duration",
          "subscription:start",
          "subscription:delivery:address",
          "subscription:reference",
          "subscription:renewal",
          "subscription:last_login",
          "subscription:photo_available",
          "subscription:type",
          "subscription:termination",
          "medical:patient",
          "debtor:file_id",
          "email:seller",
          "name:seller",
          "addressline:seller",
          "zip:seller",
          "city:seller",
          "name:ditsributor",
          "email:distributor",
          "addressline:distributor",
          "zip:distributor",
          "city:distributor",
          "logo:distributor_pdf",
          "logo:distributor_email",
          "account:beneficiary",
          "purchase:price",
          "conditional:purchase_price",
          "direct:payments",
          "VAT",
          "product:type"
        ],
        "type": "string"
      },
      "ClaimPrincipalAmountWriteRequest": {
        "description": "The principal amount of a receivable claim; a claim is never free.",
        "properties": {
          "currency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CurrencyEnum"
              }
            ],
            "default": "EUR",
            "description": "Currency of the amount; currently always EUR.\n\n* `EUR` - EUR"
          },
          "value": {
            "description": "Principal amount including VAT, at least 0.01. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,14}(?:\\.[0-9]{1,2})?$",
            "type": "string"
          }
        },
        "required": [
          "value"
        ],
        "type": "object"
      },
      "ClaimReminderRead": {
        "description": "Read representation of one normalized reminder.",
        "properties": {
          "date": {
            "description": "Date on which the payment reminder was issued.",
            "format": "date",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "due_date": {
            "description": "Payment deadline stated in the reminder, when present.",
            "format": "date",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "description": "Stable identifier of this reminder.",
            "format": "uuid",
            "nullable": true,
            "readOnly": true,
            "type": "string"
          }
        },
        "required": [
          "date",
          "due_date",
          "id"
        ],
        "type": "object"
      },
      "ClaimReminderWriteRequest": {
        "description": "Writable reminder; ids retain rows only during PATCH replacement.",
        "properties": {
          "date": {
            "description": "Date on which the payment reminder was issued.",
            "format": "date",
            "type": "string"
          },
          "due_date": {
            "description": "Payment deadline stated in the reminder, when present; cannot precede the reminder date.",
            "format": "date",
            "nullable": true,
            "type": "string"
          },
          "id": {
            "description": "Existing reminder identifier to retain during PATCH replacement. Omit for a new reminder; identifiers cannot be supplied when creating a claim and must belong to this claim.",
            "format": "uuid",
            "type": "string"
          }
        },
        "required": [
          "date"
        ],
        "type": "object"
      },
      "ClaimStatusEnum": {
        "description": "* `draft` - draft\n* `submitted` - submitted\n* `awaiting_client_response` - awaiting_client_response\n* `accepted` - accepted\n* `rejected` - rejected\n* `withdrawn` - withdrawn",
        "enum": [
          "draft",
          "submitted",
          "awaiting_client_response",
          "accepted",
          "rejected",
          "withdrawn"
        ],
        "type": "string"
      },
      "ClaimUnitPriceWriteRequest": {
        "description": "An EUR line-unit price; credits may be represented as negative.",
        "properties": {
          "currency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CurrencyEnum"
              }
            ],
            "default": "EUR",
            "description": "Currency of the amount; currently always EUR.\n\n* `EUR` - EUR"
          },
          "value": {
            "description": "Price for one unit; a negative value represents a credit. Exact decimal string; parse it with a decimal type, never a binary float.",
            "pattern": "^-?[0-9]{1,14}(?:\\.[0-9]{1,2})?$",
            "type": "string"
          }
        },
        "required": [
          "value"
        ],
        "type": "object"
      },
      "ClaimsFromAdvancedCosts": {
        "properties": {
          "fee_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Collection-fee claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "fee_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on collection-fee claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Taxable expense claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on taxable expense claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_litigation_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Taxable litigation-cost claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_litigation_expenses_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on taxable litigation-cost claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxfree_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Tax-free expense claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxfree_litigation_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Tax-free litigation-cost claims arising from costs advanced by paywise.",
            "nullable": true,
            "readOnly": true
          }
        },
        "required": [
          "fee_claims",
          "fee_vat_claims",
          "taxable_expenses_claims",
          "taxable_expenses_vat_claims",
          "taxable_litigation_expenses_claims",
          "taxable_litigation_expenses_vat_claims",
          "taxfree_expenses_claims",
          "taxfree_litigation_expenses_claims"
        ],
        "type": "object"
      },
      "ClaimsFromPaymentsToClient": {
        "properties": {
          "fee_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Collection-fee claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "fee_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on collection-fee claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "success_commission_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Success-commission claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "success_commission_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on success-commission claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Taxable expense claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on taxable expense claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          },
          "taxfree_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Tax-free expense claims arising from debtor payments received directly by you.",
            "nullable": true,
            "readOnly": true
          }
        },
        "required": [
          "fee_claims",
          "fee_vat_claims",
          "success_commission_claims",
          "success_commission_vat_claims",
          "taxable_expenses_claims",
          "taxable_expenses_vat_claims",
          "taxfree_expenses_claims"
        ],
        "type": "object"
      },
      "ClaimsFromPaymentsToDCA": {
        "properties": {
          "fee_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Collection-fee claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "fee_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on collection-fee claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "success_commission_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Success-commission claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "success_commission_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on success-commission claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Taxable expense claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxable_expenses_vat_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "VAT on taxable expense claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          },
          "taxfree_expenses_claims": {
            "allOf": [
              {
                "$ref": "#/components/schemas/StatementAmount"
              }
            ],
            "description": "Tax-free expense claims arising from debtor payments received by paywise.",
            "nullable": true,
            "readOnly": true
          }
        },
        "required": [
          "fee_claims",
          "fee_vat_claims",
          "success_commission_claims",
          "success_commission_vat_claims",
          "taxable_expenses_claims",
          "taxable_expenses_vat_claims",
          "taxfree_expenses_claims"
        ],
        "type": "object"
      },
      "ClosingCodeEnum": {
        "description": "* `IP01` - Vollzahlung\n* `IP02` - Teilzahlung\n* `IP03` - vor Bearbeitung bezahlt\n* `IP04` - Vergleichszahlung\n* `IPU1` - Vollzahlung (Unterakte)\n* `IPU2` - Teilzahlung (Unterakte)\n* `IPU3` - vor Bearbeitung bezahlt (Unterakte)\n* `IPU4` - Vergleichszahlung (Unterakte)\n* `IN01` - Akte storniert\n* `IN010` - Akte storniert - keine Kostenbelastung Honorar\n* `IN011` - Akte geschlossen: Negative SCHUFA-Auskunft\n* `IN012` - Akte storniert: Nicht eingezahlter GMV-Vorschuss\n* `IN013` - Akte storniert: Nicht eingezahlter ZV-Vorschuss\n* `IN014` - Akte storniert: Nicht beantwortete Rückfrage\n* `IN015` - Akte geschlossen: Mangels zustellfähiger Anschrift\n* `IN016` - Akte geschlossen: Schuldner verstorben\n* `IN017` - Akte geschlossen: Bestritten\n* `IN018` - Akte storniert: Zahlung vor Übernahme\n* `IN02` - Kunde wünscht Abschluss\n* `IN020` - Kunde wünscht Abschluss - keine Kostenbelastung\n* `IN03` - Abschluss wegen EV\n* `IN04` - Abschluss wegen Insolvenz\n* `IN05` - Schuldner verstorben\n* `IN06` - Erfolglos\n* `INO7` - Aktensperre\n* `IN08` - Aufhebung Aktensperre\n* `INU1` - Unterakte storniert\n* `INU2` - Kunde wünscht Abschluss (Unterakte)\n* `INU3` - Abschluss wegen EV (Unterakte)\n* `INU4` - Abschluss wegen Insolvenz (Unterakte)\n* `INU5` - Schuldner verstorben (Unterakte)\n* `INU6` - Erfolglos (Unterakte)\n* `IÜ01` - Überwachung Sonstiges\n* `IÜ02` - Überwachung Abgabe EV\n* `IÜ03` - Überwachung Insolvenz\n* `IÜU1` - Überwachung Sonstiges (Unterakte)\n* `IÜU2` - Überwachung Abgabe EV (Unterakte)\n* `IÜU3` - Überwachung Insolvenz (Unterakte)",
        "enum": [
          "IP01",
          "IP02",
          "IP03",
          "IP04",
          "IPU1",
          "IPU2",
          "IPU3",
          "IPU4",
          "IN01",
          "IN010",
          "IN011",
          "IN012",
          "IN013",
          "IN014",
          "IN015",
          "IN016",
          "IN017",
          "IN018",
          "IN02",
          "IN020",
          "IN03",
          "IN04",
          "IN05",
          "IN06",
          "INO7",
          "IN08",
          "INU1",
          "INU2",
          "INU3",
          "INU4",
          "INU5",
          "INU6",
          "IÜ01",
          "IÜ02",
          "IÜ03",
          "IÜU1",
          "IÜU2",
          "IÜU3"
        ],
        "type": "string"
      },
      "ClosingTypeEnum": {
        "description": "* `positive` - Positiv\n* `negative` - Negativ\n* `transition_to_longtime_monitoring` - Übergang ins Überwachungsverfahren",
        "enum": [
          "positive",
          "negative",
          "transition_to_longtime_monitoring"
        ],
        "type": "string"
      },
      "CommunicationChannelRead": {
        "properties": {
          "id": {
            "description": "Stable identifier of this communication channel.",
            "format": "uuid",
            "readOnly": true,
            "type": "string"
          },
          "type": {
            "description": "Kind of contact channel.",
            "readOnly": true,
[...]
